WeeChat FAQ, 2009-01-31
=======================

Public concerné :
Utilisateurs de WeeChat >= 0.2.7.

Avant de lire la suite ceci :
La liste suivante de questions/réponses n'est *pas* exhaustive.
Il est donc possible que vous ne trouviez pas de question/réponse correspondant
à votre problème.
Lisez les quand même SVP, elles peuvent vous aider à corriger votre problème.
Et même si votre problème est mentionné ci-dessous, il est possible que la
réponse ne vous aide pas à corriger le problème. Dans ce cas, contactez-nous,
nous essaierons de vous aider à trouver une solution.

1 - Compilation
2 - Utilisation de WeeChat
3 - Développement

1.1
================================================================================
Q:	J'ai entendu parler de plusieurs interfaces pour WeeChat.
	Comment puis-je les compiler/utiliser ?

R:	Aujourd'hui seule l'interface Curses est disponible.
	D'autres interfaces seront disponibles en mode distant (actuellement
	en développement).


1.2
================================================================================
Q:	Je ne peux pas compiler WeeChat après avoir cloné la base git.

R:	Si vous compilez avec les autotools (et non cmake), vérifiez que vous avez
	bien la dernière version d'autoconf et automake.
	WeeChat a été développé avec autoconf version 2.61 et automake
	version 1.10.
	Vous devez avoir au moins ces versions pour compiler WeeChat.
	Si vous n'avez pas ou ne souhaitez pas installer ces versions, vous
	pouvez télécharger et installer le paquet "devel", un paquet construit
	quasiment tous les jours à partir de la base git.
	Notez que ce paquet peut ne pas correspondre exactement à la base git.


2.1
================================================================================
Q:	Pourquoi utiliser WeeChat ? X-Chat et Irssi sont si bien...

R:	Parce que WeeChat est très léger et a de nouvelles fonctionnalités.
	Quelques nouvelles fonctionnalités :
	  * support multi-protocoles via extensions (IRC, Jabber)
	  * plusieurs interfaces déportées en plus de Curses (à venir bientôt)
	  * disponible en plusieurs langues
	  * extensible par des extensions (C, Perl, Python, Ruby, Lua, Tcl)
	  * tampons avec contenu libre
	  * filtrage de l'affichage avec tags et expressions régulières
	  * découpage de la fenêtre horizontalement et verticalement
	  * barres personnalisables et extensibles
	  * liste des pseudos disponible dans toutes les interfaces
	  * highlight dans la barre d'infos
	  * recherche incrémentale de texte dans les tampons, saut aux highlights
	  * tube FIFO pour contrôle à distance
	  * support aspell
	  * double encodage (décodage/encodage)
	  * développé à partir de zéro (non basé sur un quelconque client)
	  * multi-platformes
	  * 100% GPL et libre
	
	Plus d'infos sur cette page: http://weechat.flashtux.org/features.php


2.2
================================================================================
Q:	J'ai lancé WeeChat, mais je suis perdu, que puis-je faire ?

R:	Pour obtenir de l'aide tapez /help. Pour de l'aide sur une commande,
	tapez /help commande.
	Les touches et commandes sont listées dans la documentation.
	Si vous démarrez avec WeeChat, il est recommandé de lire le guide de
	démarrage rapide (voir la page de doc sur le site).


2.3
================================================================================
Q:	J'ai entendu parler de "buffers" et "windows", quelle est la
	différence ?

R:	Une fenêtre ("window") est utilisée quand vous partagez l'écran
	verticalement ou horizontalement.
	Un tampon ("buffer") est une "vue" pour une fenêtre. Chaque fenêtre
	affiche un tampon, et plusieurs fenêtres peuvent afficher le même
	tampon.
	Exemples de tampons: messages serveur, canal, contrôle xfer, etc...


2.4
================================================================================
Q:	Je ne vois pas bien certains accents dans WeeChat, que faire ?

R:	Pour les versions < 0.2.3, merci d'installer la dernière version stable.
	Pour les versions >= 0.2.3 :
	- vérifiez que weechat-curses est lié avec libncursesw (attention:
	  nécessaire sur beaucoup de distributions, mais pas toutes) :
	  ldd /chemin/vers/weechat-curses
	- vérifiez que l'extension "Charset" est chargée avec la commande
	  /plugin (s'il ne l'est pas, vous devez peut-être installer le
	  paquet "weechat-plugins")
	- vérifiez la ligne charset (sur le tampon serveur), vous devriez voir
	  ISO-XXXXXX ou UTF-8 pour le charset du terminal. Si vous voyez
	  ANSI_X3.4-1968 ou d'autres valeurs, votre locale est probablement
	  erronée.
	- affectez la valeur pour le décodage global, par exemple :
	  avec WeeChat <= 0.2.6: /setp charset.global.decode = ISO-8859-15
	  avec WeeChat >= 0.2.7: /set charset.default.decode "ISO-8859-15"
	- si vous utilisez la locale UTF-8, vérifiez que votre terminal est
	  compatible UTF-8. Un terminal conseillé pour l'UTF-8 est rxvt-unicode.


2.5
================================================================================
Q:	Des barres telles que le titre et le statut ne sont pas remplies, la
	couleur de fond s'arrête après le texte, pourquoi ?

R:	Cela peut être du à la variable TERM qui n'a pas la bonne valeur
	(regardez echo $TERM).
	Selon la façon de lancer WeeChat, vous devriez avoir :
	- si WeeChat tourne en local ou sur une machiine distante sans screen :
	cela dépend du terminal utilisé : "xterm", "rxvt", ..
	- si WeeChat tourne sous screen, vous devriez avoir "screen".
	Si besoin, corrigez la variable TERM (export TERM="xxx").


2.6
================================================================================
Q:	Quand j'utilise weechat sous screen, j'ai des caractères bizarres
	notamment en changeant de fenêtre, comment corriger ça ?

R:	Cela peut être du à la variable TERM qui n'a pas la bonne valeur
	(regardez echo $TERM). Par exemple "xterm-color" provoque ce genre de
	problèmes, utilisez "xterm" qui est ok (comme plein d'autres valeurs).
	Si besoin, corrigez la variable TERM (export TERM="xxx").


2.7
================================================================================
Q:	Comment puis-je configurer les raccourcis clavier ?

R:	Les raccourcis clavier sont modifiables avec la commande /key.
	La touche par défaut Meta-k (souvent Alt-k) permet de capturer le code
	d'une touche et de l'inclure dans la zone de saisie.


2.8
================================================================================
Q:	Comment puis-je charger des scripts Perl/Python/Ruby/Lua/Tcl ?
	Les scripts sont-ils compatibles avec d'autres clients IRC ?

R:	Les commandes /perl, /python, /ruby, /lua et /tcl permettent de charger
	les scripts Perl (le chemin par défaut est ~/.weechat/<langage>/).
	Notez que les scripts dans ~/.weechat/<langage>/autoload sont
	automatiquement chargés par WeeChat lorsqu'il démarre.
	Les scripts ne sont pas compatibles avec d'autres clients IRC.


2.9
================================================================================
Q:	Je souhaite changer la langue des messages affichés par WeeChat, mais
	sans quitter WeeChat, est-ce possible ?

R:	Oui, il faut utiliser le script python shell.py (disponible sur le site
	de WeeChat) et taper ces commandes une fois le script chargé :
	  /shell setenv LANG=en_US.UTF-8
	  /upgrade
	(pour avoir des messages anglais avec encodage UTF-8 pour le terminal,
	pour les utilisateurs en ISO, vous pouvez taper:
	/shell setenv LANG=en_US)


2.10
================================================================================
Q:	Avec l'interface Curses, comment puis-je copier/coller du texte sans
	coller la liste des pseudos ?

R:	Vous pouvez utiliser un terminal qui propose la sélection rectangulaire
	(comme rxvt-unicode, konsole, etc...).
	Une autre solution est de déplacer la liste des pseudos en haut ou en
	bas, par exemple :
	  avec WeeChat <= 0.2.6: /set look_nicklist_position = top
	  avec WeeChat >= 0.2.7: /bar set nicklist position top


2.11
================================================================================
Q:	Comment être averti lorsque quelqu'un prononce mon pseudo sur un canal ?

R:	Vous pouvez utiliser le script sound.pl (disponible sur la page des
	scripts), puis configurer une commande système (jouant un son, affichant
	un message à l'écran, etc...) comme ceci :
	  avec WeeChat <= 0.2.6:
	    /setp perl.sound.cmd_highlight = "/chemin/commande parametres"
	  avec WeeChat >= 0.2.7:
	    /set plugins.var.perl.sound.cmd_highlight "/chemin/commande parametres"


3.1
================================================================================
Q:	Comment dois-je reporter les bugs ?

R:	Il y a 3 manières de reporter les bugs :
	  1. vous pouvez nous joindre sur IRC: irc.freenode.net, canal #weechat
	  2. vous pouvez soumettre votre bug à cette adresse :
	     http://savannah.nongnu.org/bugs/?func=addbug&group=weechat
	  3. vous pouvez envoyer votre problème par mail, consultez la page
	     support pour les mails des développeurs :
	     http://weechat.flashtux.org/support.php
	     (vous pouvez souscrire et envoyer à la liste de diffusion
	     "support")


3.2
================================================================================
Q:	Comment dois-je soumettre les patches ?

R:	Il y a 3 manières de soumettre les patches :
	  1. vous pouvez nous joindre sur IRC: irc.freenode.net, canal #weechat
	  2. vous pouvez soumettre votre patch à cette adresse :
	     http://savannah.nongnu.org/patch/?func=addpatch&group=weechat
	  3. vous pouvez envoyer votre patch par mail, consultez la page
	     support pour les mails des développeurs :
	     http://weechat.flashtux.org/support.php
	     (vous pouvez souscrire et envoyer à la liste de diffusion
	     "support")


3.3
================================================================================
Q:	Comment dois-je soumettre les demandes de nouvelles fonctionnalités ?

R:	Il y a 2 manières :
	  1. vous pouvez nous joindre sur IRC: irc.freenode.net, channel #weechat
	  2. vous pouvez envoyer un mail, consultez la page support pour les
	     mails des développeurs :
	     http://weechat.flashtux.org/support.php
	     (vous pouvez souscrire et envoyer à la liste de diffusion
	     "support")


3.4
================================================================================
Q:	Quelle est la liste des plate-formes supportées par WeeChat ?
	WeeChat sera-t-il porté sur d'autres systèmes d'exploitation ?

R:	La liste complète est sur cette page :
	http://weechat.flashtux.org/download.php?view=supported_os
	Nous faisons le maximum pour supporter le plus de plate-formes possible.
	Toute aide est la bienvenue pour les systèmes que nous n'avons pas,
	pous y tester WeeChat.


3.6
================================================================================
Q:	Je souhaiterai aider les développeurs WeeChat. Que puis-je faire ?

R:	Il y a plusieurs choses à faire (code, documentation, ...)
	Merci de prendre contact avec nous par IRC ou mail, consultez la page
	support :
	http://weechat.flashtux.org/support.php


3.7
================================================================================
Q:	Puis-je donner de l'argent ou d'autres choses aux développeurs WeeChat ?

R:	Vous pouvez donner de l'argent pour aider le développement.
	Plus de détails sur http://weechat.flashtux.org/donate.php
